Debian Bug report logs - #688782
Moving of mount points in initramfs from /live to /root/live does not work in important cases

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Gaudenz Steinlin <gaudenz@debian.org>

Date: Tue, 25 Sep 2012 16:21:01 UTC

Severity: important

Tags: patch

Found in version live-boot/3.0~b2-1

Fixed in version live-boot/3.0~b3-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ronny.standtke@fhnw.ch, Debian Live Project <debian-live@lists.debian.org>:
Bug#688782; Package live-boot. (Tue, 25 Sep 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gaudenz Steinlin <gaudenz@debian.org>:
New Bug report received and forwarded. Copy sent to ronny.standtke@fhnw.ch, Debian Live Project <debian-live@lists.debian.org>. (Tue, 25 Sep 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Moving of mount points in initramfs from /live to /root/live does not work in important cases
Date: Tue, 25 Sep 2012 18:17:18 +0200
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 3.0~b2-1
Severity: grave
Tags: patch

Hi

The attached patch fixes the move of persistence and other mounts from
/live to /root/live inside the initramfs. It also removes some
leftover mount points that are not used because the device did not
contain a persistence layer.

I'm setting the severity to grave as without these changes the
persistence filesystems can not be seen from the live system and
therefore cannot be remounted readonly on shutdown. This leaves these
filesystem in an inconsistent state which may lead to data corruption.
IMO this needs to be fixed for wheezy.

The patch consists of three individual commits that all can be applied
separately.

The readonly remounting of persistence filesystems does not work with
the latest live-config for unrelated reasons. I'll submit a separate bug
report (with patch ;-) ) to fix this issue.

Gaudenz

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (800, 'testing'), (700, 'unstable'), (50, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.5-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[0001-Move-filesystems-even-if-mountpoint-exists.patch (text/x-diff, attachment)]
[0002-Remove-mountpoints-if-there-is-no-persistence.patch (text/x-diff, attachment)]
[0003-Move-mountpoints-below-live-persistence-rofs.patch (text/x-diff, attachment)]

Severity set to 'important' from 'grave' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 25 Sep 2012 16:27:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 25 Sep 2012 16:27:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 26 Sep 2012 12:51:10 GMT) Full text and rfc822 format available.

Notification sent to Gaudenz Steinlin <gaudenz@debian.org>:
Bug acknowledged by developer. (Wed, 26 Sep 2012 12:51:10 GMT) Full text and rfc822 format available.

Message #14 received at 688782-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 688782-close@bugs.debian.org
Subject: Bug#688782: fixed in live-boot 3.0~b3-1
Date: Wed, 26 Sep 2012 12:47:38 +0000
Source: live-boot
Source-Version: 3.0~b3-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 688782@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 26 Sep 2012 14:40:32 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~b3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 687099 688782
Changes: 
 live-boot (3.0~b3-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Always move live filesystem mounts to /root within initramfs,
     regardless if mountpoint already exists or not (Closes: #688782).
 .
   [ Gaudenz Steinlin ]
   * Removing mountpoint if no persistence layer is found on a device.
 .
   [ Daniel Baumann ]
   * Exposing rofs and persistence mounts under /live in the live
     systems, not just initramfs only (Closes: #687099).
   * Updating code for exposing of overlay mounts under /live too.
Checksums-Sha1: 
 daa932c693842c0a65f12d536ea66bc4029c1746 1376 live-boot_3.0~b3-1.dsc
 33a9ad54e74d46ac0df06c3d2d2a546982ca799d 58892 live-boot_3.0~b3.orig.tar.xz
 651b2a5fe4be3e748954eadb358371ce8aeb23d9 21196 live-boot_3.0~b3-1.debian.tar.xz
 8cd412b81c236614e9e1dd06f686541c4ab1832b 46992 live-boot_3.0~b3-1_all.deb
 d96b1aa770c9576836579def628102b38db5a8a8 50580 live-boot-doc_3.0~b3-1_all.deb
 c61efa700fe913b4f3dbc4c89d678bd8485e8c14 24926 live-boot-initramfs-tools_3.0~b3-1_all.deb
Checksums-Sha256: 
 8d589f16d636b0ff7a9c5bab2e838363f4ebebf9ea2e2d9589650341691e937b 1376 live-boot_3.0~b3-1.dsc
 87304318f45d2983175830a598d3dc9e479ce015ccb8eb84e3b8203af93f97c4 58892 live-boot_3.0~b3.orig.tar.xz
 1dfc001a04f464b8f17cd1b6793815165d50e88ce49a8f0486af7678b55baf6b 21196 live-boot_3.0~b3-1.debian.tar.xz
 c92419abd74abb499dbee4011637a2478476b9262951a67edddea3a02479ba0c 46992 live-boot_3.0~b3-1_all.deb
 3b3299a407a8c1d22cf5dabf6bafabbccfcbc8ae52b4d05dc9619d9dd0ad5edc 50580 live-boot-doc_3.0~b3-1_all.deb
 c9053e965324406c95f99f4ca4793030a5603c312e09bf1c6499671d6d929965 24926 live-boot-initramfs-tools_3.0~b3-1_all.deb
Files: 
 e69dcda8264f1f35471a36a80aabbc1c 1376 misc optional live-boot_3.0~b3-1.dsc
 94cdeccd4a44c84586aef4433c61ae1d 58892 misc optional live-boot_3.0~b3.orig.tar.xz
 42b97db1e209f0398d682580249bc1fe 21196 misc optional live-boot_3.0~b3-1.debian.tar.xz
 8ea5ad5d3e79a8a6061d7c78a032819b 46992 misc optional live-boot_3.0~b3-1_all.deb
 fb2d9526e698ea380607eb5b9f8e95d1 50580 doc optional live-boot-doc_3.0~b3-1_all.deb
 e96b052e502299fe29e76c0288d86b69 24926 misc optional live-boot-initramfs-tools_3.0~b3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlBi+G8ACgkQ+C5cwEsrK56dLgCgqhrl7/5cKjEvxtA5t7nc7FuP
YTAAoL+FjhGsD0WkX/O7y9oWhgzUbPf+
=A3ze
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Oct 2012 07:28:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:17:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.